# LobbyDBSpec::UpdateUser_Data Class Reference

Overwrites an existing user in the users table. More...

`#include <LobbyDBSpec.h>`

Inheritance diagram for LobbyDBSpec::UpdateUser_Data:

List of all members.

## Public Attributes

bool | updateCCInfo
| [in] Get credit card info?
bool | updateBinaryData
| [in] Get binary data?
bool | updatePersonalInfo
| [in] Get personal information (Name, address)
bool | updateEmailAddr
| [in] Get email address?
bool | updatePassword
| [in] Get password, recovery question, and recovery answer?
UserIdOrHandle | id
| [in] Which user
CreateUser_Data | input

## Detailed Description

Overwrites an existing user in the users table.

## Member Data Documentation

CreateUser_Data LobbyDBSpec::UpdateUser_Data::input

[in] Will overwrite what is there already, based on the update booleans in this structure. Will fail if the new handle is different and already in use.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyDBSpec.h
- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyDBSpec.cpp